SLST Time Now
SLST is the abbreviation of Sri Lanka Standard Time. Time zone offset of SLST is UTC+05:30. Sri Lanka Standard Time is 5 hours 30 minutes ahead from the UTC universal time. SLST current date is 9th Monday November 2026. Current time in SLST (SLST).
SLST Time
15:54:48
9 November 2026 Monday
SLST is the short way to refer to Sri Lanka Standard Time. Along with IST standard, it is used in Sri Lanka Island and India, in such cities as Kolombo, Moratua, Mount Lavinia, as well as in Mumbai, Bangalore, Delhi, Chennai, and others. Sri Lanka Standard Time is 5 hours 30 minutes ahead of the UTC universal time.
What time is it in Sri Lanka Standard Time now? It is 15:54:48 right now.
Sri Lanka Standard Time Date and Time Now in Various Formats
| Date Time Format | SLST Date Time Now |
|---|---|
| UTC | 2026-11-09T10:24:48Z |
| ISO-8601 | 2026-11-09T15:54:48+0530 |
| RFC 2822 | Mon, 09 Nov 2026 15:54:48 +0530 |
| RFC 850 | Monday, 09-Nov-26 15:54:48 SLST |
| RFC 1036 | Mon, 09 Nov 26 15:54:48 +0530 |
| RFC 1123 | Mon, 09 Nov 2026 15:54:48 +0530 |
| RFC 822 | Mon, 09 Nov 26 15:54:48 +0530 |
| RFC 3339 | 2026-11-09T15:54:48+05:30 |
| ATOM | 2026-11-09T15:54:48+05:30 |
| COOKIE | Monday, 09-Nov-2026 15:54:48 SLST |
| RSS | Mon, 09 Nov 2026 15:54:48 +0530 |
| W3C | 2026-11-09T15:54:48+05:30 |
| Unix Epoch | 1794219888 |
| YYYY-DD-MM HH:MM:SS | 2026-09-11 15:54:48 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-09-11 03:54:48 PM |
| DD-MM-YYYY HH:MM:SS | 09-11-2026 15:54:48 |
| MM-DD-YYYY HH:MM:SS | 11-09-2026 15:54:48 |